local entity = {}
entity.name = "MeliHelper/BadAppleController"
entity.placements = {
    {
        name = "Bad Apple Controller",
        data = {
			fieldWidth = 40,
			fieldHeight = 23,
			frameRate = 30,
			startTime = 0,
			
			deathSentenceAddPerSecond = 0.30,
			deathSentenceSubPerSecond = 0.75,
			deathSentenceRadius = 20,
			deathSentenceDensity = 100,
			
			
			music = "event:/map_mapple/music_main",
			action = "ShowHeartGem",
			depth = -10001,
			active = true
        }
    }
}

entity.fieldOrder = { "x", "y", 
	"fieldWidth", "fieldHeight", "frameRate", "startTime", 
	"deathSentenceAddPerSecond", "deathSentenceSubPerSecond", "deathSentenceRadius", "deathSentenceDensity",
	"music", "action", "depth"
}

entity.fieldInformation = {
	action  = { 
		options = { "ShowHeartGem" }, 
		editable = false 
	},
}

function entity.texture(room, entity)
	return "Evidence02/objects_mapple"
end

return entity
